# class Tk::Tcllib::Widget::Screenruler

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::screenruler')
      rescue
        ''
      end
    end

### Public Instance Methods

display() click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 59
    def display
      tk_send('display')
      self
    end

Also aliased as: show
hide() click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 65
    def hide
      tk_send('hide')
      self
    end

show()
Alias for: display

### Private Instance Methods

__boolval_optkeys() click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 39
    def __boolval_optkeys
      ['topmost', 'reflect']
    end

__numlistval_optkeys() click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 44
    def __numlistval_optkeys
      ['alpha']
    end

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/screenruler.rb, line 49
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end